Subject: Re: bug#36526: 26.2; Open diff at current location (feature request with suggested code)

From: Cambell Barton <[email-masked]>
Date: Sat, 14 Sep 2019 05:29:20 +1000

Hi Stefan, I don't mind doing the copyright assignment.

Would someone be able to check the code and see if it's going in the 
right direction?

I'm still not that experienced with elisp, so I'd rather not spend time 
to make a patch if the general approach isn't right.

On 2019-09-13 21:59, Stefan Kangas wrote:
> Campbell Barton <[email-masked]> writes:
> 
>> This is a feature suggestion which I've written example code for
>>
>> `vc-root-diff` (or a new function), could jump to the closest line.
>>
>> This is useful since you move to the context of the current line.
>>
>> I've written code that does this,
>> it would be useful if it was built into emacs.
>>
>> See: https://emacs.stackexchange.com/a/51439/2418
> 
> Thanks for the feature suggestion.
> 
> I haven't looked at your code, but if we decided to use it, it seems
> like a non-trivial change and would require you to sign copyright
> papers.  You can find more information about copyright assignment
> here:
> 
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Copyright-Assignment.html
> 
> Would you be willing to do that?
> 
> If the answer to that is yes, could you please also submit your code
> as a patch?  You can find more information on how to do that in the
> CONTRIBUTE file in the emacs repository.  That would make it easier to
> review and test your suggested changes.
> 
> Best regards,
> Stefan Kangas
>